LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XRemoteContentProviderConnectionControl Interface Referencepublished

A simple mechanism to find out if the connection between a remote content provider distributor and acceptor gets lost. More...

`import"XRemoteContentProviderConnectionControl.idl";`

Inheritance diagram for XRemoteContentProviderConnectionControl:

## Public Member Functions
void | enableConnectionControl ([in] XRemoteContentProviderAcceptor Acceptor, [in] com::sun::star::uno::XInterface Token)
| Enable connection control, using as a token some object implemented on the remote content provider acceptor's side. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

A simple mechanism to find out if the connection between a remote content provider distributor and acceptor gets lost.

This interface should be supported by the DoneListener parameter of XRemoteContentProviderAcceptor::addRemoteContentProvider().

Version
  1.0

## Member Function Documentation

## ◆ enableConnectionControl()

void enableConnectionControl | ( | [in] XRemoteContentProviderAcceptor | Acceptor,
|  | [in] com::sun::star::uno::XInterface | Token
| ) |  |

Enable connection control, using as a token some object implemented on the remote content provider acceptor's side.

The implementation of this interface must hold a reference to the supplied token. If the connection gets lost, the reference count of the token will drop, which the remote content provider acceptor can observe.

Parameters

  Acceptor | The remote content provider acceptor on the other side of the connection.
  Token | Some object implemented on the remote content provider acceptor's side of the connection.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XRemoteContentProviderConnectionControl.idl